Subject: Re: draft-ietf-pkix-warranty-extn-01

From: "Housley, Russ" <[email-masked]>
Date: Mon, 03 Jun 2002 11:29:12 -0400

Tom & Juergen:

This form of representing monetary values was not invented by the authors 
of this specification.  I it is used many different places, and it is 
specified in   ISO 4217 [1].

Russ

[1]     ISO. Codes for the Representation of Currencies and
           Funds," ISO 4217. 1995.

At 05:16 PM 5/31/2002 -0400, Tom Gindin wrote:

>       Juergen:
>
>       This depends on the interpretation of the text.  There are two ways
>to resolve this.  Either the amtExp10 field should have a different range
>(perhaps (-6..MAX)) or amtExp10 is to be interpreted as a resolution
>exponent only, so the actual value is amount / 10**amtExp10.  The example
>points towards the second option.
>       If the second of these options is to be taken, the wording must
>change.  I suggest adding after the sentence defining amtExp10 an extra
>sentence as follows: "The actual monetary value in the named currency unit,
>when amtExp10 is present, is amount divided by 10 to the (amtExp10) power".
>Anyway, why is this value an exponent base 10?  Not that long ago, one of
>the world's principal hard currencies had two minor units, 1/20 and 1/240,
>and I'm not sure there aren't some similar cases still around.  It could be
>called minorUnitDivisor and the value would just be amount /
>minorUnitDivisor.
>
>             Tom Gindin
>
>
>Juergen Brauckmann <[email-masked]>@mail.imc.org on 05/31/2002
>09:15:27 AM
>
>Sent by:    [email-masked]
>
>
>To:    [email-masked]
>cc:    Pkix <[email-masked]>
>Subject:    Re: draft-ietf-pkix-warranty-extn-01
>
>
>
>Hi.
>
>How should extendedWarranty be used? Perhaps you can give an example?
>
>Format of the currency field in CurrencyAmount: There is at least one
>standard ("ETSI qualified certificate profile") I know of which
>recommends use of a PrintableString and the alphabetic code from ISO
>4217.
>
>The example in chapter 2.2 is wrong:
>  "$48,525.50 (in US dollars) is represented as:
>      currency =      840
>      amount   =  4852550
>      amtExp10 =        2"
>
>That's wrong. 4852550 * (10 ** 2) is 485,255,000. I guess you wanted to
>say that amtExp10 is -2, but you cannot do that because it has to be >=
>0.
>
>Regards,
>    Juergen